import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  DeleteEarthObservationJobInput,
  DeleteEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface DeleteEarthObservationJobCommandInput
  extends DeleteEarthObservationJobInput {}
export interface DeleteEarthObservationJobCommandOutput
  extends DeleteEarthObservationJobOutput,
    __MetadataBearer {}
export declare class DeleteEarthObservationJobCommand extends $Command<
  DeleteEarthObservationJobCommandInput,
  DeleteEarthObservationJobCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: DeleteEarthObservationJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteEarthObservationJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteEarthObservationJobCommandInput,
    DeleteEarthObservationJobCommandOutput
  >;
  private serialize;
  private deserialize;
}
