import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  ExportEarthObservationJobInput,
  ExportEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface ExportEarthObservationJobCommandInput
  extends ExportEarthObservationJobInput {}
export interface ExportEarthObservationJobCommandOutput
  extends ExportEarthObservationJobOutput,
    __MetadataBearer {}
export declare class ExportEarthObservationJobCommand extends $Command<
  ExportEarthObservationJobCommandInput,
  ExportEarthObservationJobCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: ExportEarthObservationJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ExportEarthObservationJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ExportEarthObservationJobCommandInput,
    ExportEarthObservationJobCommandOutput
  >;
  private serialize;
  private deserialize;
}
