import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  GetRasterDataCollectionInput,
  GetRasterDataCollectionOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface GetRasterDataCollectionCommandInput
  extends GetRasterDataCollectionInput {}
export interface GetRasterDataCollectionCommandOutput
  extends GetRasterDataCollectionOutput,
    __MetadataBearer {}
export declare class GetRasterDataCollectionCommand extends $Command<
  GetRasterDataCollectionCommandInput,
  GetRasterDataCollectionCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: GetRasterDataCollectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetRasterDataCollectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetRasterDataCollectionCommandInput,
    GetRasterDataCollectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
