import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  SearchRasterDataCollectionInput,
  SearchRasterDataCollectionOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface SearchRasterDataCollectionCommandInput
  extends SearchRasterDataCollectionInput {}
export interface SearchRasterDataCollectionCommandOutput
  extends SearchRasterDataCollectionOutput,
    __MetadataBearer {}
export declare class SearchRasterDataCollectionCommand extends $Command<
  SearchRasterDataCollectionCommandInput,
  SearchRasterDataCollectionCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: SearchRasterDataCollectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SearchRasterDataCollectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SearchRasterDataCollectionCommandInput,
    SearchRasterDataCollectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
